import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { InsuranceCredentialCreateManyUserInputObjectSchema as InsuranceCredentialCreateManyUserInputObjectSchema } from './InsuranceCredentialCreateManyUserInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => InsuranceCredentialCreateManyUserInputObjectSchema), z.lazy(() => InsuranceCredentialCreateManyUserInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const InsuranceCredentialCreateManyUserInputEnvelopeObjectSchema: z.ZodType<Prisma.InsuranceCredentialCreateManyUserInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceCredentialCreateManyUserInputEnvelope>;
export const InsuranceCredentialCreateManyUserInputEnvelopeObjectZodSchema = makeSchema();
